package vn.mic.offshore.videox.orm.entity;
// Generated Dec 8, 2020 10:35:15 PM by Hibernate Tools 5.1.10.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * User generated by hbm2java
 */
@Entity
@Table(name = "user", catalog = "personal_financial_log")
public class User implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4800979648488172248L;
	
	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "user_name", nullable = false, length = 45)
	private String userName;
	
	@Column(name = "password", nullable = false)
	private String password;
	
	@Column(name = "first_name", nullable = false, length = 45)
	private String firstName;
	
	@Column(name = "last_name", nullable = false, length = 45)
	private String lastName;
	
	@Column(name = "phone", length = 45)
	private String phone;
	
	@Column(name = "address", length = 45)
	private String address;
	
	@Column(name = "sex")
	private Integer sex;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "insert_datetime", nullable = false, length = 19)
	private Date insertDatetime;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "update_datetime", nullable = false, length = 19)
	private Date updateDatetime;

	public User() {
	}

	public User(String userName, String password, String firstName, String lastName, Date insertDatetime,
			Date updateDatetime) {
		this.userName = userName;
		this.password = password;
		this.firstName = firstName;
		this.lastName = lastName;
		this.insertDatetime = insertDatetime;
		this.updateDatetime = updateDatetime;
	}

	public User(String userName, String password, String firstName, String lastName, String phone, String address,
			Integer sex, Date insertDatetime, Date updateDatetime) {
		this.userName = userName;
		this.password = password;
		this.firstName = firstName;
		this.lastName = lastName;
		this.phone = phone;
		this.address = address;
		this.sex = sex;
		this.insertDatetime = insertDatetime;
		this.updateDatetime = updateDatetime;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUserName() {
		return this.userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getFirstName() {
		return this.firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return this.lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getPhone() {
		return this.phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Integer getSex() {
		return this.sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public Date getInsertDatetime() {
		return this.insertDatetime;
	}

	public void setInsertDatetime(Date insertDatetime) {
		this.insertDatetime = insertDatetime;
	}

	public Date getUpdateDatetime() {
		return this.updateDatetime;
	}

	public void setUpdateDatetime(Date updateDatetime) {
		this.updateDatetime = updateDatetime;
	}

}
